#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <GetButton1.h>
#include <GetButton2.h>
#include <GetButton3.h>
#include <SetTenthS.h>

int main(void)
{
    X3RCU_Init();
    unsigned char but1 = 0;
    unsigned char but2 = 0;
    unsigned char but3 = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "Button Test : ", YELLOW, BLACK);
    while (1)
    {
        but1 = GetButton1();
        if ( but1 )
        {
            SetLCDString(0, 16, "Button 1", YELLOW, BLACK);
        }
        else
        {
            but1=0;
        }
        but2 = GetButton2();
        if ( but2 )
        {
            SetLCDString(0, 16, "Button 2", YELLOW, BLACK);
        }
        else
        {
            but2=0;
        }
        but3 = GetButton3();
        if ( but3 )
        {
            SetLCDString(0, 16, "Button 3", YELLOW, BLACK);
        }
        else
        {
            but3=0;
        }
        SetTenthS(1);
    }
    while(1);
}

